QCA::SMSContext Class Referenceabstract
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::SMSContext:
[legend]

## Public Member Functions

virtual MessageContext * | createMessage ()=0
virtual void | setPrivateKeys (const QList< SecureMessageKey > &keys)
virtual void | setTrustedCertificates (const CertificateCollection &trusted)
virtual void | setUntrustedCertificates (const CertificateCollection &untrusted)
| SMSContext (Provider *p, const QString &type)
Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Additional Inherited Members

Protected Member Functions inherited from QCA::BasicContext
| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Detailed Description

SecureMessageSystem provider.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want SecureMessageSystem instead.

## Constructor & Destructor Documentation

## SMSContext()

QCA::SMSContext::SMSContext | ( | Provider * | p,
|  | const QString & | type )

inline

Standard constructor.

Parameters

  p | the provider associated with this context
  type | the name of the type of secure message system

References QCA::BasicContext::BasicContext(), and QCA::Provider::Context::type().

## Member Function Documentation

## setTrustedCertificates()

virtual void QCA::SMSContext::setTrustedCertificates | ( | const CertificateCollection & | trusted | ) |

virtual

Set the trusted certificates and for this secure message system, to be used for validation.

The collection may also contain CRLs.

This function is only valid for CMS.

Parameters

  trusted | a set of trusted certificates and CRLs.

## setUntrustedCertificates()

virtual void QCA::SMSContext::setUntrustedCertificates | ( | const CertificateCollection & | untrusted | ) |

virtual

Set the untrusted certificates and CRLs for this secure message system, to be used for validation.

This function is only valid for CMS.

Parameters

  untrusted | a set of untrusted certificates and CRLs.

## setPrivateKeys()

virtual void QCA::SMSContext::setPrivateKeys | ( | const QList< SecureMessageKey > & | keys | ) |

virtual

Set the private keys for this secure message system, to be used for decryption.

This function is only valid for CMS.

Parameters

  keys | the keys to be used for decryption

## createMessage()

virtual MessageContext * QCA::SMSContext::createMessage | ( |  | ) |

pure virtual

Create a new message object for this system.

The caller is responsible for deleting it.

The documentation for this class was generated from the following file:

- qcaprovider.h